import request from '@/utils/request'

// 查询资源分类列表
export function listAttachClassify(query) {
  return request({
    url: '/bst/attachClassify/list',
    method: 'get',
    params: query
  })
}

// 查询资源分类详细
export function getAttachClassify(id) {
  return request({
    url: '/bst/attachClassify/' + id,
    method: 'get'
  })
}

// 新增资源分类
export function addAttachClassify(data) {
  return request({
    url: '/bst/attachClassify',
    method: 'post',
    data: data
  })
}

// 修改资源分类
export function updateAttachClassify(data) {
  return request({
    url: '/bst/attachClassify',
    method: 'put',
    data: data
  })
}

// 删除资源分类
export function delAttachClassify(id) {
  return request({
    url: '/bst/attachClassify/' + id,
    method: 'delete'
  })
}

// 查询所有分类
export function listAttachClassifyAll() {
  return request({
    url: '/bst/attachClassify/listAll',
    method: 'get'
  })
}